Summary: A C library for creating Common Gateway Interface ("CGI") programs
Name: cgi-util
Version: 2.2.1
Release: 15%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Source: ftp://ftp.billsgames.com/unix/www/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.newbreedsoftware.com/cgi-util/

%description
cgi-util is a library which provides a set of C functions you can
use to create Common Gateway Interface ("CGI") programs.  Simply call
cgi-util's initialization function and send HTML (or any other kind of
data) out from your program and to the user's web browser.

%package devel
Summary: Files needed to develop applications using cgi-util
Group: Development/Libraries
Requires: cgi-util = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources
needed for developing applications using the cgi-util library.

%prep
%setup -q

%build
%{__cc} %{__global_cflags} -Wall -ansi -pedantic -fPIC cgi-util.c -c -o libcgi-util.o
%{__cc} %{__global_cflags} -shared -Wl,-soname=libcgi-util.so.2 libcgi-util.o -o libcgi-util.so

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -p -D -m 0755  libcgi-util.so %{buildroot}%{_libdir}/libcgi-util.so.%{version}
%{__install} -p -D -m 0644  cgi-util.h %{buildroot}%{_includedir}/cgi-util.h
%{__ln_s} libcgi-util.so.%{version} %{buildroot}%{_libdir}/libcgi-util.so
%{__ln_s} libcgi-util.so.%{version} %{buildroot}%{_libdir}/libcgi-util.so.2

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%{_libdir}/lib*.so.*
%doc CHANGES.txt COPYING.txt TODO.txt

%files devel
%{_libdir}/lib*.so
%{_includedir}/cgi-util.h
%doc README.txt test.c filetest.c

%changelog
* Sun Sep 23 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-15
   - Use install -p.
   - Ensure libcgi-util.so.2 is owned by package.

* Sat Sep 22 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-14
   - Don't run linker directly.

* Sat Sep 22 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-13
   - Write soname to library.
   - Fix permissions of library.
   - Library symlink is now relative.
   - Build using Fedora compilation flags.

* Fri Sep 21 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-12
   - Don't use autotools patch -- wait for it upstream.
   - Don't install compiled examples.

* Thu Aug 23 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-10
   - Modify autotools patch to streamline build.

* Wed Aug 22 2007 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-9
   - Do not install INSTALL.
   - Use %%setup -q.
   - Use %%defattr(-,root,root,-).
   - Do not use %%makeinstall.

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-8
   - Rebuild for FC6.

* Tue Apr 04 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-7
   - Remove *.cgi from bindir.

* Thu Mar 09 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-6
   - Move test.cgi and filetest.cgi to %%doc.
   - Move README to -devel %%doc and add test.c and filetest.c.
   - Pass --disable-static to configure.

* Thu Feb 23 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-5
   - Remove Werror from Makefile.in.
   - Remove --gnu from autotools options.
   - Revert patch that renames, for example, README.txt to README
     as this is required for automake.

* Wed Feb 22 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-4
   - Turn off -Werror.

* Tue Feb 21 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-3
   - Simplify project descriptions.
   - Do not change filenames in autotools patch.

* Tue Dec 13 2005 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-2
   - Split out -devel package.

* Wed Nov 30 2005 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-1
   - Initial RPM.
